# Changelog

## [0.1.3] 2024-08-10

- An issue with the Dockerfile was fixed, causing cross-compilation issues. Previously, all container architectures would be compiled with an arm64 binary. The add-on would fail to run on e.g. x86 / amd64 systems. This has now been fixed.
- When events are recorded, the locally configured timezone is now taken into account.

## [0.1.2] 2024-07-27

- Preliminary support for configurable log levels is expanded to binary and Docker container execution.

## [0.1.1] 2024-07-26

- Adds preliminary support for configurable log levels for development purposes.

## [0.1.0] 2024-07-26

- **BREAKING CHANGE:** The `opendtu` configuration variable was renamed to `opendtu_address`.
- This version adds support for password-protected OpenDTU's, by implementing support for authentication.

## [0.0.11] 2024-07-26

- Adds automatic database migrations, so future upgrades can be performed automatically and will not require user intervention.
- Upgrades dependencies

## [0.0.10] 2024-07-26

- Fixes an issue where the config for events querying and timezone wasn't set up properly when using Home Assistant.

## [0.0.9] 2024-07-25

- Initial release of the OpenDTU Logger Home Assistant add-on.
